package com.ghy.order.service;

import com.ghy.common.core.domain.AjaxResult;
import com.ghy.order.domain.AfterServiceRecord;

import java.util.List;

/**
 * 售后记录Service接口
 *
 * @author clunt
 * @date 2022-09-25
 */
public interface IAfterServiceRecordService {
    /**
     * 查询售后记录
     *
     * @param id 售后记录主键
     * @return 售后记录
     */
    AfterServiceRecord selectAfterServiceRecordById(String id);

    /**
     * 查询售后记录列表
     *
     * @param afterServiceRecord 售后记录
     * @return 售后记录集合
     */
    List<AfterServiceRecord> selectAfterServiceRecordList(AfterServiceRecord afterServiceRecord);

    /**
     * 新增售后记录
     *
     * @param afterServiceRecord 售后记录
     * @return 结果
     */
    int insertAfterServiceRecord(AfterServiceRecord afterServiceRecord);

    /**
     * 修改售后记录
     *
     * @param afterServiceRecord 售后记录
     * @return 结果
     */
    AjaxResult updateAfterServiceRecord(AfterServiceRecord afterServiceRecord) throws Exception;

    public AfterServiceRecord getUnfinishedByOrderDetailId(Long orderDetailId);

    /**
     * 批量删除售后记录
     *
     * @param ids 需要删除的售后记录主键集合
     * @return 结果
     */
    int deleteAfterServiceRecordByIds(String ids);

    /**
     * 删除售后记录信息
     *
     * @param id 售后记录主键
     * @return 结果
     */
    int deleteAfterServiceRecordById(String id);
}
